> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upwell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update One Bill

> Update a bill by ID



## OpenAPI

````yaml /api-reference/openapi.json put /api/rest/bills/{id}
openapi: 3.1.0
info:
  description: >-
    Upwell is Accounts Receivable automation software for the logistics
    industry. We serve freight brokers, carriers, factors, and anyone who needs
    to get transportation invoices paid.


    Learn more at:


    - [Upwell.com](https://upwell.com)
  title: Upwell REST API
  version: 3.30.2
  termsOfService: https://upwell.com/legal
  contact:
    name: Upwell
    url: https://upwell.com
    email: contact@upwell.com
servers:
  - url: https://api.upwell.com
    description: Production server
  - url: https://staging.api.upwell.com
    description: Staging server
security: []
tags:
  - name: Invoice Approval
    description: Endpoints for managing customer invoice approval workflow
paths:
  /api/rest/bills/{id}:
    put:
      tags:
        - Bills
      summary: Update One Bill
      description: Update a bill by ID
      parameters:
        - description: >-
            Your API key will be used for authentication of the request.
            `Authorization: YOUR_API_KEY`
          in: header
          name: authorization
          schema:
            type: string
        - description: _"id" is required (enter it either in parameters or request body)_
          in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              properties:
                id:
                  nullable: false
                  title: String
                  type: string
                input:
                  default: {}
                  description: input type for updating data in table "bills"
                  nullable: true
                  properties:
                    billLineItemsLastUpdatedAt:
                      $ref: '#/components/schemas/timestamptz'
                    carrierId:
                      nullable: true
                      title: String
                      type: string
                    checkOrAchNumber:
                      nullable: true
                      title: String
                      type: string
                    createdAt:
                      $ref: '#/components/schemas/timestamptz'
                    currency:
                      $ref: '#/components/schemas/CurrencyCodeEnum'
                    dispatcherEmail:
                      nullable: true
                      title: String
                      type: string
                    dueDate:
                      nullable: true
                      title: String
                      type: string
                    id:
                      nullable: true
                      title: String
                      type: string
                    issueDate:
                      nullable: true
                      title: String
                      type: string
                    mcleodSettlementTransferError:
                      nullable: true
                      title: String
                      type: string
                    mcleodSettlementTransferResponse:
                      $ref: '#/components/schemas/jsonb'
                    mcleodSettlementTransferredAt:
                      $ref: '#/components/schemas/timestamptz'
                    notes:
                      nullable: true
                      title: String
                      type: string
                    payToAccount:
                      nullable: true
                      title: String
                      type: string
                    proNumber:
                      nullable: true
                      title: String
                      type: string
                    referenceNumber:
                      nullable: true
                      title: String
                      type: string
                    sourceSystem:
                      nullable: true
                      title: String
                      type: string
                    sourceSystemId:
                      nullable: true
                      title: String
                      type: string
                    sourceSystemMeta:
                      $ref: '#/components/schemas/jsonb'
                    status:
                      nullable: true
                      title: String
                      type: string
                    terms:
                      nullable: true
                      title: String
                      type: string
                    totalAmount:
                      nullable: true
                      title: Int
                      type: integer
                    updatedAt:
                      $ref: '#/components/schemas/timestamptz'
                    vendorId:
                      nullable: true
                      title: String
                      type: string
                  title: BillsSetInput
                  type: object
              type: object
        description: >-
          Query parameters can also be provided in the request body as a JSON
          object
        required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  updateBill:
                    description: columns and relationships of "bills"
                    nullable: true
                    properties:
                      billLineItems:
                        items:
                          description: columns and relationships of "bill_line_items"
                          nullable: false
                          properties:
                            createdAt:
                              $ref: '#/components/schemas/timestamptz'
                            description:
                              nullable: true
                              title: String
                              type: string
                            id:
                              nullable: false
                              title: String
                              type: string
                            item:
                              nullable: true
                              title: String
                              type: string
                            lineNumber:
                              nullable: false
                              title: String
                              type: string
                            quantity:
                              $ref: '#/components/schemas/numeric'
                            sourceSystem:
                              nullable: true
                              title: String
                              type: string
                            sourceSystemId:
                              nullable: true
                              title: String
                              type: string
                            totalAmount:
                              nullable: true
                              title: Int
                              type: integer
                            unitPrice:
                              nullable: true
                              title: Int
                              type: integer
                            updatedAt:
                              $ref: '#/components/schemas/timestamptz'
                          title: BillLineItems
                          type: object
                        nullable: false
                        type: array
                      carrierId:
                        nullable: false
                        title: String
                        type: string
                      checkOrAchNumber:
                        nullable: true
                        title: String
                        type: string
                      createdAt:
                        $ref: '#/components/schemas/timestamptz'
                      currency:
                        $ref: '#/components/schemas/CurrencyCodeEnum'
                      dueDate:
                        nullable: true
                        title: String
                        type: string
                      id:
                        nullable: false
                        title: String
                        type: string
                      issueDate:
                        nullable: true
                        title: String
                        type: string
                      notes:
                        nullable: true
                        title: String
                        type: string
                      payToAccount:
                        nullable: true
                        title: String
                        type: string
                      proNumber:
                        nullable: false
                        title: String
                        type: string
                      referenceNumber:
                        nullable: true
                        title: String
                        type: string
                      sourceSystem:
                        nullable: false
                        title: String
                        type: string
                      sourceSystemId:
                        nullable: true
                        title: String
                        type: string
                      sourceSystemMeta:
                        $ref: '#/components/schemas/jsonb'
                      status:
                        nullable: true
                        title: String
                        type: string
                      terms:
                        nullable: true
                        title: String
                        type: string
                      totalAmount:
                        nullable: false
                        title: Int
                        type: integer
                      updatedAt:
                        $ref: '#/components/schemas/timestamptz'
                      vendor:
                        description: Vendors
                        nullable: true
                        properties:
                          createdAt:
                            $ref: '#/components/schemas/timestamptz'
                          id:
                            nullable: false
                            title: String
                            type: string
                          name:
                            nullable: false
                            title: String
                            type: string
                          sourceSystem:
                            nullable: false
                            title: String
                            type: string
                          sourceSystemId:
                            nullable: false
                            title: String
                            type: string
                          sourceSystemMeta:
                            $ref: '#/components/schemas/jsonb'
                          updatedAt:
                            $ref: '#/components/schemas/timestamptz'
                        title: Vendors
                        type: object
                      vendorId:
                        nullable: true
                        title: String
                        type: string
                    title: Bills
                    type: object
          description: Responses for PUT /api/rest/bills/{id}
components:
  schemas:
    timestamptz:
      nullable: false
      title: timestamptz
      type: string
      format: date-time
      description: >-
        A timestamp with timezone in ISO 8601 format, such as
        2024-12-16T21:57:14.525733+00:00
    CurrencyCodeEnum:
      enum:
        - AED
        - AUD
        - BRL
        - CAD
        - CHF
        - CNY
        - EGP
        - EUR
        - GBP
        - HKD
        - IDR
        - INR
        - JPY
        - KRW
        - MXN
        - MYR
        - NZD
        - QAR
        - SAR
        - SGD
        - THB
        - TRY
        - TWD
        - USD
        - VND
        - ZAR
      nullable: false
      title: CurrencyCodeEnum
    jsonb:
      nullable: false
      title: jsonb
    numeric:
      nullable: false
      title: numeric

````